package java.util.logging;

import java.util.List;
import sun.util.logging.LoggingProxy;

class LoggingProxyImpl implements LoggingProxy
{
    static final LoggingProxy INSTANCE;
    
    private LoggingProxyImpl() {
    }
    
    public Object getLogger(String s) {
        return Logger.getPlatformLogger(s);
    }
    
    public Object getLevel(Object o) {
        return ((Logger)o).getLevel();
    }
    
    public void setLevel(Object o, Object o2) {
        ((Logger)o).setLevel((Level)o2);
    }
    
    public boolean isLoggable(Object o, Object o2) {
        return ((Logger)o).isLoggable((Level)o2);
    }
    
    public void log(Object o, Object o2, String s) {
        ((Logger)o).log((Level)o2, s);
    }
    
    public void log(Object o, Object o2, String s, Throwable t) {
        ((Logger)o).log((Level)o2, s, t);
    }
    
    public void log(Object o, Object o2, String s, Object... array) {
        ((Logger)o).log((Level)o2, s, array);
    }
    
    public List<String> getLoggerNames() {
        return LogManager.getLoggingMXBean().getLoggerNames();
    }
    
    public String getLoggerLevel(String s) {
        return LogManager.getLoggingMXBean().getLoggerLevel(s);
    }
    
    public void setLoggerLevel(String s, String s2) {
        LogManager.getLoggingMXBean().setLoggerLevel(s, s2);
    }
    
    public String getParentLoggerName(String s) {
        return LogManager.getLoggingMXBean().getParentLoggerName(s);
    }
    
    public Object parseLevel(String str) {
        Level level = Level.findLevel(str);
        if (level == null) {
            throw new IllegalArgumentException("Unknown level \"" + str + "\"");
        }
        return level;
    }
    
    public String getLevelName(Object o) {
        return ((Level)o).getLevelName();
    }
    
    public int getLevelValue(Object o) {
        return ((Level)o).intValue();
    }
    
    public String getProperty(String s) {
        return LogManager.getLogManager().getProperty(s);
    }
    
    static {
        INSTANCE = new LoggingProxyImpl();
    }
}
